# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取制单员或者业务员列表,2293,2293-076,sit,bs
主数据平台:运营后台管理系统获取制单员或者业务员列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取制单员或者业务员列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url70")
request_body = commonFuc().get_business_data(module, "payload70")

"""

 场景: 验证获取制单员或者业务员列表接口连通性
 用例名称：获取制单员或者业务员列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# print(result)
# 获取制单员列表数量
result = {"total": len(result["data"])}
result["api_time"] = api_time
# print(result)
# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中对应制单员数量
sql = "SELECT count(t.userId) FROM `cmdc-user`.cmdc_user t " \
      "WHERE userType = 1 and companyId =6 and deleteSign = 0 in" \
      "(SELECT t.userId FROM `cmdc-user`.cmdc_manager_user t)"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict70", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
